Table of Contents

Module: static | Twisted-0.19.0/twisted/web/static.py
--- | ---
I deal with static resources.
Imported modules |
--- | ---
import cStringIO import error import html import os import resource import server import stat import string import traceback from twisted.internet import abstract from twisted.persisted import styles from twisted.protocols import http from twisted.python import threadable, log, components from twisted.spread import pb import types import urllib import widgets
Functions |
addSlash redirectTo
| addSlash
    addSlash ( request )
| redirectTo
    redirectTo ( URL,  request )
Classes |
Data | This is a static, in-memory resource.
DirectoryListing |
File | File is a resource that represents a plain non-interpreted file.
FileTransfer | A class to represent the transfer of a file over the network.
Redirect |

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0